package com.caimei365.user.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * Description
 * @author Aslee
 * @version 2021-11-24
 */
@ApiModel("供应商保存文章")
@Data
public class ShopArticleDto{
	@ApiModelProperty("文章id")
	private Integer articleId;

	@ApiModelProperty("文章标题")
	private String title;

	@ApiModelProperty("文章标签")
	private String label;

	@ApiModelProperty("SEO关键词")
	private String keyword;

	@ApiModelProperty("发布人")
	private String publisher;

	@ApiModelProperty("来源")
	private String source;

	@ApiModelProperty("供应商id")
	private Integer shopId;

	@ApiModelProperty("推荐语")
	private String recommendContent;

	@ApiModelProperty("文章内容")
	private String articleContent;

	@ApiModelProperty("文章分类id")
	private Integer typeId;

	@ApiModelProperty("引导图")
	private String guidanceImage;

	@ApiModelProperty("状态：0停用，1启用")
	private String status;
}